Infra APIVms github
Create and link GitHub repo
Creates a new GitHub repository and links it to the VM
POST
/api/v1/vms/{vm_id}/github/createCreates a new GitHub repository and links it to the VM
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
vm_id*string
VM ID
Request Body
application/json
Repo details
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/string/github/create" \ -H "Content-Type: application/json" \ -d '{}'{ "github_repo": { "id": "string", "repo_url": "string" }, "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}